Overview
DELETE/integrations/ecosystems/{ecosystemId}/provider-configs/{providerId}integrations

Delete an ecosystem's provider config

Delete a record from provider-configs by ecosystemId, providerId.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • ecosystemIdpathstring
  • providerIdpathstring
Responses
204

Deleted

No response body.

401

Problem Details (RFC 9457)

  • typeoptionalstring

    URI identifying the problem type; 'about:blank' when unspecified

  • titlestring

    Short, human-readable summary of the problem type

  • statusinteger

    HTTP status code, duplicated in the body

  • detailoptionalstring

    Explanation specific to this occurrence

  • instanceoptionalstring

    URI reference for this occurrence (the request path)

Example
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}
403

Problem Details (RFC 9457)

  • typeoptionalstring

    URI identifying the problem type; 'about:blank' when unspecified

  • titlestring

    Short, human-readable summary of the problem type

  • statusinteger

    HTTP status code, duplicated in the body

  • detailoptionalstring

    Explanation specific to this occurrence

  • instanceoptionalstring

    URI reference for this occurrence (the request path)

Example
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}
404

Problem Details (RFC 9457)

  • typeoptionalstring

    URI identifying the problem type; 'about:blank' when unspecified

  • titlestring

    Short, human-readable summary of the problem type

  • statusinteger

    HTTP status code, duplicated in the body

  • detailoptionalstring

    Explanation specific to this occurrence

  • instanceoptionalstring

    URI reference for this occurrence (the request path)

Example
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}
503

Problem Details (RFC 9457)

  • typeoptionalstring

    URI identifying the problem type; 'about:blank' when unspecified

  • titlestring

    Short, human-readable summary of the problem type

  • statusinteger

    HTTP status code, duplicated in the body

  • detailoptionalstring

    Explanation specific to this occurrence

  • instanceoptionalstring

    URI reference for this occurrence (the request path)

Example
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/integrations/ecosystems/{ecosystemId}/provider-configs/{providerId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integrations/ecosystems/{ecosystemId}/provider-configs/{providerId}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();